PayNowPro
Subscriptions

Get Subscription Changes

GET
/subscriptions/changes
api-key<token>

In: header

Query Parameters

tenantAlias*string
customer*string
limit?number
Formatdouble
cursor?string
order?string
Value in"asc" | "desc"

Response Body

application/json

application/json

curl -X GET "https://api.paynowpro.com/api/v1/subscriptions/changes?tenantAlias=string&customer=string"
{
  "nextCursor": "string",
  "data": [
    {
      "createdAt": "string",
      "productId": "string",
      "oldPriceId": "string",
      "oldSubscriptionId": "string",
      "status": "pending",
      "type": "upgrade",
      "id": "string"
    }
  ]
}
{
  "cause": null,
  "body": {
    "response": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      }
    },
    "request": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      },
      "url": "string",
      "method": "string"
    },
    "reason": "string",
    "code": 400
  }
}